@import 'variables';

@import 'components/button';
@import 'components/header';
@import 'components/recipeCard';
@import 'components/searchBar';

.font-family-secondary {
	font-family: $font-family-secondary;
}

.custom-height {
	height: 200px;
}

.fa-chevron-down {
	cursor: pointer;
}

#ingredientsToggle {
	transition: rotate 200ms ease-in-out;
}

#appliancesToggle {
	 transition: rotate 200ms ease-in-out;
 }

#utensilsToggle {
	  transition: rotate 200ms ease-in-out;
  }

.category-dropdown {
	color: white;
	font-size: $h3-font-size;
	border-radius: 0 0 $border-radius $border-radius;
	display: flex;
	opacity: 0;
	max-height: 21rem;
	padding: 1rem;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: start;
	overflow: auto;
	z-index: 1;
	transition: opacity 200ms ease-in-out;
}

.line-break {
	white-space: break-spaces;
}

.search-dropdown {
	color: white;
	display: none;
	padding: 0;
	&::placeholder {
		color: inherit;
		opacity: 50%;
	}
}

.dropdown-list-item {
	list-style: none;
	padding-bottom: 1rem;
	width: 30%;
}

.dropdown-border-radius {
	border-radius: $border-radius;
}

.dropdown-items-wrapper {
	position: absolute;
	top: 100%;
	z-index: 1;
	width: 48.9%;
}

.form-control {
	&:focus {
		color: white;
	}
}

.animated-growth {
	transition: flex-grow 300ms ease-in-out;
}

body {
	background: linear-gradient(0deg, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)), linear-gradient(0deg, #E5E5E5, #E5E5E5);
}


